summaryrefslogtreecommitdiff
path: root/build-native.sh
diff options
context:
space:
mode:
authorArne Schwabe <arne@rfc2549.org>2012-07-24 21:31:20 +0200
committerArne Schwabe <arne@rfc2549.org>2012-07-24 21:31:20 +0200
commit011bcb7922f5e23a04322f91318704b1e5ab231d (patch)
tree22eff1767c95713020fb26d53595793bbc837dd7 /build-native.sh
parent3112a0b79549c7915355fe57e24424e2d3f92bb4 (diff)
Build openssl as shared library again, build for all Android ABIs
Diffstat (limited to 'build-native.sh')
-rwxr-xr-xbuild-native.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/build-native.sh b/build-native.sh
new file mode 100755
index 00000000..af9fcf57
--- /dev/null
+++ b/build-native.sh
@@ -0,0 +1,11 @@
+ndk-build APP_API=all -j 8
+if [ $? = 0 ]; then
+ cd libs
+ for i in *
+ do
+ cp -v $i/minivpn ../assets/minivpn.$i
+ done
+ # Removed compiled openssl libs, will use platform so libs
+ # Reduces size of apk
+ rm -v */libcrypto.so */libssl.so
+fi \ No newline at end of file